class AST::Property
  attr_reader :object, :name

  def initialize(object, name)
    @object = object
    @name = name
  end

  def ==(other)
    other.is_a?(AST::Property) && other.object == @object && other.name == @name
  end
end
